gii_val_event(3)

NAME
gii_val_event : LibGII valuator events

SYNOPSIS
#include <ggi/events.h>
typedef struct {
    COMMON_DATA;
    uint32_t  first;          /* first valuator reported      */
    uint32_t  count;          /* number reported              */
    int32_t   value[32];      /* absolute/relative values     */
} gii_val_event;

DESCRIPTION
A valuator is a representation of the state of an input device in terms of a physical quantity such as length. A valuator event, of type gii_val_event, reports a change in any of those quantities.

GENERATED EVENTS
This structure is used for the evValRelative and evValAbsolute events.

STRUCTURE MEMBERS
A valuator may be either absolute or relative, like pointer motion events. To interpret the numbers, query valuator device info with the GII_CMDCODE_GETVALINFO command code.

SEE ALSO
gii_event(3), gii_cmddata_getvalinfo(3)